package gov.va.vinci.dart.json;

import javax.validation.constraints.Min;

public class ActivityEventView {

	@Min(0)
	private int activityId;
	
	@Min(0)
	private int requestId;	
	
	@Min(0)
	private int workflowId = 0;

	@Min(0)
	private int reviewId = 0;
	
	private boolean review = false;
	
	
	public int getActivityId() {
		return activityId;
	}

	public void setActivityId(int activityId) {
		this.activityId = activityId;
	}

	public int getRequestId() {
		return requestId;
	}

	public void setRequestId(int requestId) {
		this.requestId = requestId;
	}

	public int getWorkflowId() {
		return workflowId;
	}

	public void setWorkflowId(int workflowId) {
		this.workflowId = workflowId;
	}

	public int getReviewId() {
		return reviewId;
	}

	public void setReviewId(int reviewId) {
		this.reviewId = reviewId;
	}

	public boolean isReview() {
		return review;
	}

	public void setReview(boolean review) {
		this.review = review;
	}
}
